#include <stdio.h>

int main() {
    int n, h, ind=-1, x;
    scanf("%d %d", &n, &h);
    int a[n];
    for (int i = 0; i<n; i++) {
        scanf("%d", &a[i]);
    }
    for (int i = 0; i<n; i++) {
        
        if (a[i]<=h) {
            ind=i+1;
            break;
        }
    }
    printf("%d", ind);
}